## com.google.javascript.jscomp
Interface FunctionInformationMap.ModuleOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  FunctionInformationMap.Module, FunctionInformationMap.Module.Builder

Enclosing class:
  FunctionInformationMap

    public static interface FunctionInformationMap.ModuleOrBuilder

extends com.google.protobuf.MessageOrBuilder

Method Summary
`String` | `getCompiledSource()`
`String` | `getName()`
`boolean` | `hasCompiledSource()`
`boolean` | `hasName()`

Methods inherited from interface com.google.protobuf.MessageOrBuilder
`getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder
`isInitialized`

Method Detail

### hasName

    boolean hasName()

### getName

    String getName()

### hasCompiledSource

    boolean hasCompiledSource()

### getCompiledSource

    String getCompiledSource()